Page 1 of 5 123 ... LastLast
Results 1 to 10 of 41

Thread: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

  1. #1
    Join Date
    Jan 2024
    Beans
    9

    new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    help!!! Today, after I update the kernel from 6.2.0-39 to 6.5.0-14, I find the latest NVIDIA display driver can not be installed by compile kernel errors. How can I solve this problem? wait NVIDIA to update drivers?

  2. #2
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    You didn't say which Nvidia driver, and if from the repo's (which work), or if a binary from Nvidia...

    I can verify that the Nvidia drivers from the Ubuntu repo's work with 6.5.0-X kernels.

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

  3. #3
    Join Date
    Jan 2024
    Beans
    9

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    Quote Originally Posted by MAFoElffen View Post
    You didn't say which Nvidia driver, and if from the repo's (which work), or if a binary from Nvidia...

    I can verify that the Nvidia drivers from the Ubuntu repo's work with 6.5.0-X kernels.
    Because I need to use GPU to do calculation jobs, so I didnot use ubuntu repo's drivers. I download the latest driver from Nvidia website, the lastest version: 535.146.02, Linux X64 (AMD64/EM64T) Display Driver, published date: 2023.12.7. When install, firstly, the drivers will be compiled into the kernel, than copy files to /usr/bin. Formerly, when use kernel 6.2.x, It's all right, but after update to 6.5.0-14 today, the compile failed, drivers cannot be installed.

  4. #4
    Join Date
    Jan 2024
    Beans
    9

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    the NVIDIA driver error log promote: cc: error: unrecognized command-line option ‘-ftrivial-auto-var-init=zero’

  5. #5
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    Compute?
    Code:
    mafoelffen@msi-ubuntu:~$ nvidia-smi
    Wed Jan 10 22:35:37 2024       
    +---------------------------------------------------------------------------------------+
    | NVIDIA-SMI 535.129.03             Driver Version: 535.129.03   CUDA Version: 12.2     |
    |-----------------------------------------+----------------------+----------------------+
    | GPU  Name                 Persistence-M | Bus-Id        Disp.A | Volatile Uncorr. ECC |
    | Fan  Temp   Perf          Pwr:Usage/Cap |         Memory-Usage | GPU-Util  Compute M. |
    |                                         |                      |               MIG M. |
    |=========================================+======================+======================|
    |   0  NVIDIA GeForce GTX 1660 Ti     Off | 00000000:01:00.0  On |                  N/A |
    |  0%   32C    P8               7W / 130W |    112MiB /  6144MiB |      2%      Default |
    |                                         |                      |                  N/A |
    +-----------------------------------------+----------------------+----------------------+
                                                                                             
    +---------------------------------------------------------------------------------------+
    | Processes:                                                                            |
    |  GPU   GI   CI        PID   Type   Process name                            GPU Memory |
    |        ID   ID                                                             Usage      |
    |=======================================================================================|
    |    0   N/A  N/A      4587      G   /usr/lib/xorg/Xorg                           66MiB |
    |    0   N/A  N/A      5399      G   /usr/bin/gnome-shell                         43MiB |
    +---------------------------------------------------------------------------------------+
    mafoelffen@msi-ubuntu:~$ nvcc --version
    nvcc: NVIDIA (R) Cuda compiler driver
    Copyright (c) 2005-2021 NVIDIA Corporation
    Built on Thu_Nov_18_09:45:30_PST_2021
    Cuda compilation tools, release 11.5, V11.5.119
    Build cuda_11.5.r11.5/compiler.30672275_0
    mafoelffen@msi-ubuntu:~$ uname -r
    6.5.0-14-generic
    Like this?
    Code:
    mafoelffen@msi-ubuntu:~$ apt list nvidia-driver-535 nvidia-cuda-toolkit --installed
    Listing... Done
    nvidia-cuda-toolkit/jammy,now 11.5.1-1ubuntu1 amd64 [installed]
    nvidia-driver-535/jammy-security,now 535.129.03-0ubuntu0.22.04.1 amd64 [installed,upgradable to: 535.146.02-0ubuntu0.22.04.1]

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

  6. #6
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    But I do hear that with NVidia binaries, if it has a compile problem, do this
    Code:
    mafoelffen@msi-ubuntu:~$ grep . /proc/version
    Linux version 6.5.0-14-generic (buildd@lcy02-amd64-110) (x86_64-linux-gnu-gcc-12 (Ubuntu 12.3.0-1ubuntu1~22.04) 12.3.0, GNU ld (GNU Binutils for Ubuntu) 2.38) #14~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Mon Nov 20 18:15:30 UTC 2
    See where the current running kernel was compiled with gcc-12?
    Code:
    gcc --version
    apt -list gcc-1* --installed
    It should be the same version as the running kernel... Or so i hear, that is what causes the error you are getting. If you install build essentials, then gcc-12, then temp set the sysmlink of gcc to gcc-12 (via update-alternatives, or manually)... then try that again, and see if it works. Afterwards, reset it back to gcc-11 or whatever it was originally.
    Should be gcc-12

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

  7. #7
    Join Date
    Jan 2024
    Beans
    1

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    I'm having the same issues, looks like the kernel update broke with the Nvidia 535 drivers. I'm trying to fix it, as I'm stuck in a boot loop and having to trouble shoot through the root shell prompt. Even tty stopped behaving after purging the nvidia drivers.

    I also see the error message being promoted: "unrecognized command-line option ‘-ftrivial-auto-var-init=zero’"

    Currently have gcc11 and gcc12 installed

    Current kernel version: 6.5.0-14-generic

    running grep . /proc/version gives:
    "Linux version 6.5.0-14-generic (buildd@lcy02-amd64-110) (x86_64-linux-gnu-gcc-12 (Ubuntu 12.3.0-1ubuntu1~22.04) 12.3.0, GNU ld (GNU Binutils for Ubuntu) 2.38) #14~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Mon Nov 20 18:15:30 UTC 2"

    Using a Nvidia GeForce 3080Ti

    I was using 535 drivers from a "ubuntu-drivers install", but purged them in an attempt to get this booting this morning. I'm gonna keep messing around with it, but any fixes or tips would be appreciated.

  8. #8
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    I'm very close to yours:
    Code:
    inxi -Gxxz
    Graphics:
      Device-1: NVIDIA GA107BM [GeForce RTX 3050 Ti Mobile] vendor: Lenovo
        driver: nvidia v: 525.147.05 arch: Ampere pcie: speed: 2.5 GT/s lanes: 8
    I'm on the fence with Ubuntu Driver auto installer, I like my way much better with less breakage.
    Code:
    sudo apt install nvidia-driver-535 nvidia-dkms-535
    Just be sure to remove and purge the broken driver first.
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags | System-info | Forum Guide lines | Arch Linux, Debian Unstable, FreeBSD

  9. #9
    Join Date
    Jan 2024
    Beans
    9

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    It seems none of the GCC version, because the 535 version driver can be compiled into 6.2 kernel with the same gcc version and parameters. Someone says the driver in Ubuntu repo can be installed and run well. So I think the latest binary driver provided by NVIDIA has not been tested for new kernel. We can only do: 1. wait NVIDIA for new driver update, 2, install driver from Ubuntu repo. 3. fallback the kernel to 6.2.0.

  10. #10
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: new kernel 6.5.0-14(22.04) can not compile NVIDIA display card driver

    Quote Originally Posted by sakalaboator View Post
    It seems none of the GCC version, because the 535 version driver can be compiled into 6.2 kernel with the same gcc version and parameters. Someone says the driver in Ubuntu repo can be installed and run well. So I think the latest binary driver provided by NVIDIA has not been tested for new kernel. We can only do: 1. wait NVIDIA for new driver update, 2, install driver from Ubuntu repo. 3. fallback the kernel to 6.2.0.
    You seem to be set just on using the NVidia Binary drivers from Nvidia that are not working for you. You do not seem to want to try to compile it with gcc-12 to see if that works or not.

    From what I read, it works if compiled with gcc-12...

    I have an idea... Post on the NVidia Forum and see what they say... It's their driver = Third party non-free.
    Last edited by MAFoElffen; January 12th, 2024 at 04:51 AM.

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

Page 1 of 5 123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •